linux: 2.6.32-40.87 -proposed tracker

Bug #947375 reported by Herton R. Krzesinski on 2012-03-05
12
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Kernel SRU Workflow
Undecided
Unassigned
Certification-testing
Undecided
Canonical Hardware Certification
Prepare-package
Undecided
Herton R. Krzesinski
Prepare-package-lbm
Undecided
Herton R. Krzesinski
Prepare-package-meta
Undecided
Herton R. Krzesinski
Prepare-package-ports-meta
Undecided
Herton R. Krzesinski
Promote-to-proposed
Undecided
Ubuntu Stable Release Updates Team
Promote-to-security
Undecided
Ubuntu Stable Release Updates Team
Promote-to-updates
Undecided
Ubuntu Stable Release Updates Team
Regression-testing
Undecided
C de-Avillez
Security-signoff
Undecided
John Johansen
Verification-testing
Undecided
Canonical Kernel Team
linux (Ubuntu)
Medium
Unassigned
Lucid
Undecided
Unassigned

Bug Description

This bug is for tracking the 2.6.32-40.87 upload package. This bug will contain status and testing results related to that upload.

For an explanation of the tasks and the associated workflow see: https://wiki.ubuntu.com/Kernel/kernel-sru-workflow
kernel-stable-Prepare-package-start:Monday, 05. March 2012 19:01 UTC
kernel-stable-Prepare-package-end:Tuesday, 06. March 2012 18:49 UTC
kernel-stable-Promote-to-proposed-start:Tuesday, 06. March 2012 18:49 UTC
kernel-stable-Promote-to-proposed-end:Monday, 12. March 2012 18:00 UTC
kernel-stable-Verification-testing-start:Monday, 12. March 2012 18:01 UTC
kernel-stable-Verification-testing-end:Monday, 12. March 2012 19:30 UTC
kernel-stable-Certification-testing-start:Monday, 12. March 2012 19:30 UTC
kernel-stable-Security-signoff-start:Monday, 12. March 2012 19:30 UTC
kernel-stable-Regression-testing-start:Monday, 12. March 2012 19:30 UTC
kernel-stable-Security-signoff-end:Thursday, 15. March 2012 22:30 UTC
kernel-stable-Regression-testing-end:Monday, 19. March 2012 13:30 UTC
kernel-stable-Promote-to-updates-start:Monday, 19. March 2012 21:45 UTC
kernel-stable-Certification-testing-end:Monday, 19. March 2012 21:45 UTC
kernel-stable-phase:Released
kernel-stable-phase-changed:Thursday, 22. March 2012 15:01 UTC
kernel-stable-Promote-to-updates-end:Thursday, 22. March 2012 15:01 UTC

tags: added: kernel-release-tracking-bug
Changed in linux (Ubuntu):
status: New → In Progress
importance: Undecided → Medium
tags: added: lucid
Changed in kernel-sru-workflow:
status: New → In Progress

All builds are complete, packages in this bug can be copied to -proposed.

Derivative packages from packages here can be worked on, the following tracking bugs were opened for them:
linux-fsl-imx51 - bug 948274
linux-ec2 - bug 948277

description: updated
Martin Pitt (pitti) on 2012-03-08
Changed in linux (Ubuntu):
status: In Progress → Invalid
Brad Figg (brad-figg) on 2012-03-08
description: updated

The following packages ended up in the wrong component in the -proposed pocket:

linux-image-2.6.32-40-preempt 2.6.32-40.87 - is in main instead of universe
linux-backports-modules-alsa-2.6.32-40-preempt 2.6.32-40.41 - is in main instead of universe
linux-backports-modules-compat-wireless-2.6.34-2.6.32-40-preempt 2.6.32-40.41 - is in main instead of universe
linux-backports-modules-compat-wireless-2.6.35-2.6.32-40-preempt 2.6.32-40.41 - is in main instead of universe
linux-backports-modules-compat-wireless-2.6.36-2.6.32-40-preempt 2.6.32-40.41 - is in main instead of universe
linux-backports-modules-compat-wireless-2.6.37-2.6.32-40-preempt 2.6.32-40.41 - is in main instead of universe
linux-backports-modules-compat-wireless-2.6.38-2.6.32-40-preempt 2.6.32-40.41 - is in main instead of universe
linux-backports-modules-compat-wireless-2.6.39-2.6.32-40-preempt 2.6.32-40.41 - is in main instead of universe
linux-backports-modules-compat-wireless-3.0.0-2.6.32-40-preempt 2.6.32-40.41 - is in main instead of universe
linux-backports-modules-compat-wireless-3.1-2.6.32-40-preempt 2.6.32-40.41 - is in main instead of universe
linux-backports-modules-compat-wireless-3.2-2.6.32-40-preempt 2.6.32-40.41 - is in main instead of universe
linux-backports-modules-input-2.6.32-40-preempt 2.6.32-40.41 - is in main instead of universe
linux-backports-modules-wwan-2.6.32-40-preempt 2.6.32-40.41 - is in main instead of universe
linux-headers-lbm-2.6.32-40-preempt 2.6.32-40.41 - is in main instead of universe

Once this is fixed, set the promote-to-proposed to Fix Released again

description: updated
Martin Pitt (pitti) wrote :

Fixed the overrides.

Brad Figg (brad-figg) on 2012-03-12
description: updated
Herton R. Krzesinski (herton) wrote :

All SRUs are verified, releasing for testing.

Brad Figg (brad-figg) on 2012-03-12
description: updated
John Johansen (jjohansen) wrote :

looks good

Brad Figg (brad-figg) on 2012-03-15
description: updated

Hardware Certification have begun testing this -proposed kernel.

C de-Avillez (hggdh2) wrote :

no regressions observed

tags: added: qa-testing-passed
Brad Figg (brad-figg) on 2012-03-19
description: updated

Hardware Certification has completed testing on 44/45 systems. One system is inaccessible in the lab. No regressions were detected and results are available here: http://people.canonical.com/~hwcert/sru-testing/wk12_2012/lucid-proposed.html

tags: added: certification-testing-passed
Brad Figg (brad-figg) on 2012-03-19
description: updated
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package linux - 2.6.32-40.87

---------------
linux (2.6.32-40.87) lucid-proposed; urgency=low

  [Herton R. Krzesinski]

  * Release Tracking Bug
    - LP: #947375

  [ Upstream Kernel Changes ]

  * IB/mlx4: pass SMP vendor-specific attribute MADs to firmware
    - LP: #932043
  * mm/filemap_xip.c: fix race condition in xip_file_fault()
    - LP: #932043
  * NFSv4: Fix up the callers of nfs4_state_end_reclaim_reboot
    - LP: #932043
  * NFSv4: The state manager shouldn't exit on errors that were handled
    - LP: #932043
  * NFSv4: Ensure the state manager handles NFS4ERR_NO_GRACE correctly
    - LP: #932043
  * NFSv4: Handle NFS4ERR_GRACE when recovering an expired lease.
    - LP: #932043
  * NFSv4: Fix open recovery
    - LP: #932043
  * rpc client can not deal with ENOSOCK, so translate it into ENOCONN
    - LP: #932043
  * udf: Mark LVID buffer as uptodate before marking it dirty
    - LP: #932043
  * eCryptfs: Infinite loop due to overflow in ecryptfs_write()
    - LP: #932043
  * atmel_lcdfb: fix usage of CONTRAST_CTR in suspend/resume
    - LP: #932043
  * Staging: asus_oled: fix image processing
    - LP: #932043
  * Staging: android: binder: Don't call dump_stack in binder_vma_open
    - LP: #932043
  * Staging: android: binder: Fix crashes when sharing a binder file
    between processes
    - LP: #932043
  * usb: gadget: zero: fix bug in loopback autoresume handling
    - LP: #932043
  * usb: Skip PCI USB quirk handling for Netlogic XLP
    - LP: #932043
  * USB: usbserial: add new PID number (0xa951) to the ftdi driver
    - LP: #932043
  * mmc: cb710 core: Add missing spin_lock_init for irq_lock of struct
    cb710_chip
    - LP: #932043
  * net: fix sk_forward_alloc corruptions
    - LP: #932043
  * net: sock_queue_err_skb() dont mess with sk_forward_alloc
    - LP: #932043
  * Linux 2.6.32.57
    - LP: #932043
  * Ban ecryptfs over ecryptfs
    - LP: #932987
  * eCryptfs: Remove mmap from directory operations
    - LP: #400443
  * eCryptfs: Use notify_change for truncating lower inodes
    - LP: #451368
  * ecryptfs: read on a directory should return EISDIR if not supported
    - LP: #719691
  * eCryptfs: Remove extra d_delete in ecryptfs_rmdir
    - LP: #723518
  * eCryptfs: Clear i_nlink in rmdir
    - LP: #723518
  * KVM: Device assignment permission checks
    - LP: #897812
    - CVE-2011-4347
  * block: Fix io_context leak after clone with CLONE_IO
    - LP: #940743
    - CVE-2012-0879
  * block: Fix io_context leak after failure of clone with CLONE_IO
    - LP: #940743
    - CVE-2012-0879
  * eCryptfs: Handle failed metadata read in lookup
    - LP: #509180
  * drm/i915: Fix TV Out refresh rate.
    - LP: #945114
  * Linux 2.6.32.57+drm33.23
    - LP: #945114
 -- Herton Ronaldo Krzesinski <email address hidden> Mon, 05 Mar 2012 16:09:18 -0300

Changed in linux (Ubuntu Lucid):
status: New → Fix Released

The package has been published and the bug is being set to Fix Released

Changed in kernel-sru-workflow:
status: In Progress → Fix Released
description: updated
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers